/*
 * =====================================================================================
 *
 *       Filename:  fopen.c
 *    Description:  Demonstracja podstawowych operacji na pliku
 *         Author:  Marek Grochowski (2014) 
 *
 * =====================================================================================
 */
#include<stdio.h>

int main()
{
   FILE *plik = NULL;
   char znak;
 
   plik = fopen( "plik.txt", "r" );
   if( plik == NULL )
   {
      perror("Wystapil blad");
      return 1;
   }

   znak = fgetc(plik);
   while( znak != EOF )
   {
      putchar(znak);
      znak = fgetc(plik);
   }
   fclose( plik );
   
   return 0;
}
